org.eclipse.wst.jsdt.chromium.debug.ui.editors

## Class JsEditor

- java.lang.Object
- - TextEditor
  - - org.eclipse.wst.jsdt.chromium.debug.ui.editors.JsEditor

    public class JsEditor
    extends TextEditor

A simplistic JavaScript editor which supports its own key binding scope.

### Field Summary

Fields
`static java.lang.String` `EDITOR_CONTEXT` The ID of the editor context menu
`static java.lang.String` `EDITOR_ID` The ID of this editor as defined in plugin.xml
`static java.lang.String` `RULER_CONTEXT` The ID of the editor ruler context menu

### Constructor Summary

Constructors
Constructor and Description
`JsEditor()`

### Method Summary

All Methods Instance Methods Concrete Methods
`protected void` `initializeEditor()`
`protected void` `setPartName(java.lang.String partName)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### EDITOR_ID

    public static final java.lang.String EDITOR_ID

The ID of this editor as defined in plugin.xml

See Also:
  Constant Field Values

#### EDITOR_CONTEXT

    public static final java.lang.String EDITOR_CONTEXT

The ID of the editor context menu

See Also:
  Constant Field Values

#### RULER_CONTEXT

    public static final java.lang.String RULER_CONTEXT

The ID of the editor ruler context menu

See Also:
  Constant Field Values

### Constructor Detail

#### JsEditor

    public JsEditor()

### Method Detail

#### initializeEditor

    protected void initializeEditor()

#### setPartName

    protected void setPartName(java.lang.String partName)